Bug 26758 - Correct OPAC ILL requests page markup
Summary: Correct OPAC ILL requests page markup
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 20168 26706
Blocks:
  Show dependency treegraph
 
Reported: 2020-10-21 02:01 UTC by Owen Leonard
Modified: 2020-11-16 18:14 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26758: Correct OPAC ILL requests page markup (5.57 KB, patch)
2020-10-21 03:11 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26758: Correct OPAC ILL requests page markup (5.62 KB, patch)
2020-10-31 21:36 UTC, David Nind
Details | Diff | Splinter Review
Screenshots - After patch applied (123.16 KB, application/pdf)
2020-10-31 21:48 UTC, David Nind
Details
Bug 26758: Correct OPAC ILL requests page markup (5.68 KB, patch)
2020-10-31 23:15 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-10-21 02:01:50 UTC
There are some aspects of the OPAC ILL requests page which I missed during the upgrade to Bootstrap 4: Menu and button markup.
Comment 1 Owen Leonard 2020-10-21 03:11:34 UTC
Created attachment 112085 [details] [review]
Bug 26758: Correct OPAC ILL requests page markup

This patch makes some corrections to the OPAC ILL page which should have
been included in the upgrade to Bootstrap 4.

To test you must have Interlibrary loan configured and enabled in the
OPAC. Enter some text in the ILLModuleCopyrightClearance system
preference.

- Log in to the OPAC and go to the "your interlibrary loan requests"
  page.
- If you have only one ILL backend set up you should see a "Create a new
  request" button which is styled correctly.
  - This patch makes corrections to the menu which displays if you have
    more than one ILL backend set up, so it would be ideal to be able to
    test it.
- Upon clickng the "new request" button (or selecting a backend from the
  new request menu) you should be prompted to choose Yes or No in
  response to the ILLModuleCopyrightClearance text. The buttons should
  be styled green and red, respectively.
- On the new request entry page the "Add new field" and "Create" buttons
  should be styled in the "secondary" grey style.
Comment 2 David Nind 2020-10-31 21:36:05 UTC
Created attachment 112766 [details] [review]
Bug 26758: Correct OPAC ILL requests page markup

This patch makes some corrections to the OPAC ILL page which should have
been included in the upgrade to Bootstrap 4.

To test you must have Interlibrary loan configured and enabled in the
OPAC. Enter some text in the ILLModuleCopyrightClearance system
preference.

- Log in to the OPAC and go to the "your interlibrary loan requests"
  page.
- If you have only one ILL backend set up you should see a "Create a new
  request" button which is styled correctly.
  - This patch makes corrections to the menu which displays if you have
    more than one ILL backend set up, so it would be ideal to be able to
    test it.
- Upon clickng the "new request" button (or selecting a backend from the
  new request menu) you should be prompted to choose Yes or No in
  response to the ILLModuleCopyrightClearance text. The buttons should
  be styled green and red, respectively.
- On the new request entry page the "Add new field" and "Create" buttons
  should be styled in the "secondary" grey style.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2020-10-31 21:48:47 UTC
Created attachment 112767 [details]
Screenshots - After patch applied

I've attached screenshots of the pages after the patch was applied.

Just to note that I found the black text on a grey background hard to read for the 'Add new field' and 'Create' buttons.

My notes from testing
=====================

I tested using koha-testing-docker and setup two ILL backends: FreeForm and Koha.

Instructions are available at https://wiki.koha-community.org/wiki/ILL_backends

1. Create an Illbackends directory outside the koha root: mkdir /usr/share/koha/lib/Koha/Illbackends
2. Change to the newly cerated directory: cd /usr/share/koha/lib/Koha/Illbackends
3. Clone the FreeForm and Koha backends: 
   i. git clone https://github.com/PTFS-Europe/koha-ill-freeform.git
   ii. git clone https://github.com/PTFS-Europe/koha-ill-koha.git
4. Rename the directories:
   i. mv koha-ill-freeform FreeForm
   ii. mv koha-ill-koha Koha
5. Setup symbolic links to these directories:
   i. mkdir /kohdevebox/koha/Koha/Illbackends
   ii. ln -s /usr/share/koha/lib/Koha/Illbackends/FreeForm /kohadevbox/koha/Koha/Illbackends/
   iii. ln -s /usr/share/koha/lib/Koha/Illbackends/Koha /kohadevbox/koha/Koha/Illbackends/
6. Change ownership (not sure if this is required):
   i. chown -R kohdev-koha:kohadev-koha /kohdevebox/koha/Koha/Illbackends
   ii. chown -R kohdev-koha:kohadev-koha /usr/share/koha/lib/Koha/Illbackends
7. Enable interlibrary loans system preference: ILLModule
8. Add some text to the ILLModuleCopyrightClearance system preference.
9. Restart everything:
   i. flush_memcached
   ii. restart_all
Comment 4 Katrin Fischer 2020-10-31 23:15:17 UTC
Created attachment 112771 [details] [review]
Bug 26758: Correct OPAC ILL requests page markup

This patch makes some corrections to the OPAC ILL page which should have
been included in the upgrade to Bootstrap 4.

To test you must have Interlibrary loan configured and enabled in the
OPAC. Enter some text in the ILLModuleCopyrightClearance system
preference.

- Log in to the OPAC and go to the "your interlibrary loan requests"
  page.
- If you have only one ILL backend set up you should see a "Create a new
  request" button which is styled correctly.
  - This patch makes corrections to the menu which displays if you have
    more than one ILL backend set up, so it would be ideal to be able to
    test it.
- Upon clickng the "new request" button (or selecting a backend from the
  new request menu) you should be prompted to choose Yes or No in
  response to the ILLModuleCopyrightClearance text. The buttons should
  be styled green and red, respectively.
- On the new request entry page the "Add new field" and "Create" buttons
  should be styled in the "secondary" grey style.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2020-11-02 10:05:54 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-11-16 18:14:19 UTC
missing dependencies for 20.05.x, no backport